Bug 185050 - [PATCH] textproc/docbook-440, textproc/docbook-450: remove duplicate plist entry
[PATCH] textproc/docbook-440, textproc/docbook-450: remove duplicate plist entry
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Gabor Kovesdan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-20 22:30 UTC by amdmi3
Modified: 2014-01-13 04:38 UTC (History)
1 user (show)

See Also:


Attachments
docbook-4.5_2.patch (566 bytes, patch)
2013-12-20 22:30 UTC, amdmi3
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description amdmi3 2013-12-20 22:30:00 UTC
In docbook-440 and docbook-450 plist generation, there's bogus @dirrmtry which duplicates @dirrm two lines before it.

Here's, for example, generated plist for docbook-440:

---
...
@dirrm share/doc/docbook/4.4
@dirrm share/doc/docbook/
@dirrmtry share/doc/docbook/4.4
...
---

pkg gives a warning on this, so remove it.

Port maintainer (gabor@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-12-20 22:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gabor

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2014-01-08 21:39:15 UTC
Author: amdmi3
Date: Wed Jan  8 21:39:02 2014
New Revision: 339180
URL: http://svnweb.freebsd.org/changeset/ports/339180

Log:
  - Fix duplicate directory in plist
  
  PR:		185050
  Submitted by:	amdmi3
  Approved by:	maintainer timeout

Modified:
  head/textproc/docbook-440/Makefile
  head/textproc/docbook-450/Makefile

Modified: head/textproc/docbook-440/Makefile
==============================================================================
--- head/textproc/docbook-440/Makefile	Wed Jan  8 21:31:59 2014	(r339179)
+++ head/textproc/docbook-440/Makefile	Wed Jan  8 21:39:02 2014	(r339180)
@@ -57,7 +57,6 @@ pre-install:
 		done;\
 	${ECHO_CMD} "@dirrm ${DOCSDIR:S,^${PREFIX}/,,}" ) >> ${PLIST}
 	${ECHO_CMD} "@dirrm ${DOCSDIR:S!^${PREFIX}/!!:S!${PORTVERSION}!!}" >> ${PLIST}
-	${ECHO_CMD} "@dirrmtry ${DOCSDIR:S!^${PREFIX}/!!:S!${PORTNAME}${PORTVERSION}!!}" >> ${PLIST}
 .endif
 	${ECHO_CMD} "@exec ${XMLCATMGR} ${REGIST_CAT_FLAGS_SGML}" >> ${PLIST}
 	${ECHO_CMD} "@unexec ${XMLCATMGR} ${UNREGIST_CAT_FLAGS_SGML}" >> ${PLIST}

Modified: head/textproc/docbook-450/Makefile
==============================================================================
--- head/textproc/docbook-450/Makefile	Wed Jan  8 21:31:59 2014	(r339179)
+++ head/textproc/docbook-450/Makefile	Wed Jan  8 21:39:02 2014	(r339180)
@@ -57,7 +57,6 @@ pre-install:
 		done;\
 	${ECHO_CMD} "@dirrm ${DOCSDIR:S,^${PREFIX}/,,}" ) >> ${PLIST}
 	${ECHO_CMD} "@dirrm ${DOCSDIR:S!^${PREFIX}/!!:S!${PORTVERSION}!!}" >> ${PLIST}
-	${ECHO_CMD} "@dirrmtry ${DOCSDIR:S!^${PREFIX}/!!:S!${PORTNAME}${PORTVERSION}!!}" >> ${PLIST}
 .endif
 	${ECHO_CMD} "@exec ${XMLCATMGR} ${REGIST_CAT_FLAGS_SGML}" >> ${PLIST}
 	${ECHO_CMD} "@unexec ${XMLCATMGR} ${UNREGIST_CAT_FLAGS_SGML}" >> ${PLIST}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Dmitry Marakasov freebsd_committer 2014-01-13 04:38:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!